Overview | Package | Class | Tree | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.omg.PortableServer
Class IdAssignmentPolicyHelper

    java.lang.Object
      |
      +--org.omg.PortableServer.IdAssignmentPolicyHelper

public class IdAssignmentPolicyHelper
extends java.lang.Object

Helper class for : IdAssignmentPolicy

Author:
  OpenORB Compiler

Constructor Summary
`IdAssignmentPolicyHelper()`

Method Summary
`static IdAssignmentPolicy` | `extract(Any a)` Extract IdAssignmentPolicy from an any
`static java.lang.String` | `id()` Return the IdAssignmentPolicy IDL ID
`static void` | `insert(Any a, IdAssignmentPolicy t)` Insert IdAssignmentPolicy into an any
`static IdAssignmentPolicy` | `narrow(Object obj)` Narrow CORBA::Object to IdAssignmentPolicy
`static IdAssignmentPolicy` | `read(InputStream istream)` Read IdAssignmentPolicy from a marshalled stream
`static TypeCode` | `type()` Return the IdAssignmentPolicy TypeCode
`static IdAssignmentPolicy` | `unchecked_narrow(Object obj)` Unchecked Narrow CORBA::Object to IdAssignmentPolicy
`static void` | `write(OutputStream ostream, IdAssignmentPolicy value)` Write IdAssignmentPolicy into a marshalled stream

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### IdAssignmentPolicyHelper

    public IdAssignmentPolicyHelper()

Method Detail

### insert

    public static void insert(Any a,
                              IdAssignmentPolicy t)

  Insert IdAssignmentPolicy into an any
  Parameters:
    `a` - an any
    `t` - IdAssignmentPolicy value

### extract

    public static IdAssignmentPolicy extract(Any a)

  Extract IdAssignmentPolicy from an any
  Parameters:
    `a` - an any
  Returns:
    the extracted IdAssignmentPolicy value

### type

    public static TypeCode type()

  Return the IdAssignmentPolicy TypeCode
  Returns:
    a TypeCode

### id

    public static java.lang.String id()

  Return the IdAssignmentPolicy IDL ID
  Returns:
    an ID

### read

    public static IdAssignmentPolicy read(InputStream istream)

  Read IdAssignmentPolicy from a marshalled stream
  Parameters:
    `istream` - the input stream
  Returns:
    the readed IdAssignmentPolicy value

### write

    public static void write(OutputStream ostream,
                             IdAssignmentPolicy value)

  Write IdAssignmentPolicy into a marshalled stream
  Parameters:
    `ostream` - the output stream
    `value` - IdAssignmentPolicy value

### narrow

    public static IdAssignmentPolicy narrow(Object obj)

  Narrow CORBA::Object to IdAssignmentPolicy
  Parameters:
    `obj` - the CORBA Object
  Returns:
    IdAssignmentPolicy Object

### unchecked_narrow

    public static IdAssignmentPolicy unchecked_narrow(Object obj)

  Unchecked Narrow CORBA::Object to IdAssignmentPolicy
  Parameters:
    `obj` - the CORBA Object
  Returns:
    IdAssignmentPolicy Object

Overview | Package | Class | Tree | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD